Subject: Re: bug#64961: [PATCH] gnu: emacs-mastodon: Update to 1.0.0-1.20dec88.

From: Cayetano Santos <[email-masked]>
Date: Mon, 21 Aug 2023 10:01:08 +0200

>dim. 20 août 2023 at 23:20, Ludovic Courtès <[email-masked]> wrote:

> Hi Cayetano,
>
> Cayetano Santos <[email-masked]> skribis:
>
>> * gnu/packages/emacs-xyz.scm (emacs-mastodon): Update to 1.0.0-1.20dec88.
>
> [...]
>
>> +  (let ((commit "20dec8871c9bb5f5e418bfc197e7533b5e3065e3")
>> +        (revision "1"))
>> +    (package
>> +      (name "emacs-mastodon")
>> +      (version (git-version "1.0.0" revision commit))
>
> Normally we only package releases, unless there’s a good reason to grab
> a snapshot, in which case there should be a comment explaining it.
>
> What’s the situation here?

Nothing special here, other than the fact that latest stable is from
more than one year ago.

In my opinion, we should debate this question once for ever in a broader
discussion about emacs packages (guix-devel?): what do we package ?
only stables (obsolete packages, see emacs-org-ref) ? always master (we
run after latest commit) ? something in between (current situation) ?

As for now, it is stated that we privilege releases ... except that
emacs-xyz is full of snapshots, and for a good reason (case of magit,
etc.), probably due to releases being too old (author just forgets
releasing).

(By the way. Similar debate comes to using melpa or melpa-stable)

What do you think ?

Cayetano